POST Agents/Sale/GetSummaryByAssociate
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/Sale/GetSummaryByAssociate
NsApiSlow threshold: 3000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Sale/GetSummaryByAssociate?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
AssociateId, FromDate, ToDate
| Property Name | Type | Description |
|---|---|---|
| AssociateId | Integer | |
| FromDate | String | |
| ToDate | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SaleSummary
| Property Name | Type | Description |
|---|---|---|
| BaseCurrency | string | Default currency for the installation |
| OwnCurrency | string | Default currency for the current user |
| SoldTotalBaseCurrency | double | Summed amount for all sold within the period in default currency for the installation |
| Sold | int32 | Number of all sold within the period |
| SoldTotalOwnCurrency | double | Summed amount for all sold within the period in default currency for the current user |
| Lost | int32 | Number of all lost within the period |
| LostTotalBaseCurrency | double | Summed amount for all lost within the period in default currency for the installation |
| LostTotalOwnCurrency | double | Summed amount for all lost within the period in default currency for the current user |
| Open | int32 | Number of all open within the period |
| OpenTotalBaseCurrency | double | Summed amount for all open within the period in default currency for the installation |
| OpenTotalOwnCurrency | double | Summed amount for all open within the period in default currency for the current user |
| OpenWeightedBaseCurrency | double | Weighted sum for all open within the period in default currency for the installation |
| OpenWeightedOwnCurrency | double | Weighted sum for all open within the period in default currency for the current user |
| PreviousOverdue | int32 | Number of all open sales with date before this period |
| PreviousOverdueTotalBaseCurrency | double | Summed amount for all open sales with date before this period in default currency for the installation |
| PreviousOverdueTotalOwnCurrency | double | Summed amount for all open sales with date before this period in default currency for the current user |
| PreviousOverdueWeightedBaseCurrency | double | Weighted sum for all open sales with date before this period in default currency for the installation |
| PreviousOverdueWeightedOwnCurrency | double | Weighted sum for all open sales with date before this period in default currency for the current user |
| CurrentOverdue | int32 | Number of all overdue sales within the period |
| CurrentOverdueTotalBaseCurrency | double | Summed amount for all overdue sales within the period in default currency for the installation |
| CurrentOverdueTotalOwnCurrency | double | Summed amount for all overdue sales within the period in default currency for the current user |
| CurrentOverdueWeightedBaseCurrency | double | Weighted sum for all overdue sales within the period in default currency for the installation |
| CurrentOverdueWeightedOwnCurrency | double | Weighted sum for all overdue sales within the period in default currency for the current user |
| FutureOpen | int32 | Number of all Future Pipe/All open sales with date after the period |
| FutureOpenTotalBaseCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenTotalOwnCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the current user |
| FutureOpenWeightedBaseCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenWeightedOwnCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the current user |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Sale/GetSummaryByAssociate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"AssociateId": 505,
"FromDate": "2012-10-18T10:11:01.1359754+02:00",
"ToDate": "2015-03-07T10:11:01.1359754+01:00"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"BaseCurrency": "USD",
"OwnCurrency": "USD",
"SoldTotalBaseCurrency": 450000.00,
"Sold": 12,
"SoldTotalOwnCurrency": 450000.00,
"Lost": 3,
"LostTotalBaseCurrency": 85000.00,
"LostTotalOwnCurrency": 85000.00,
"Open": 8,
"OpenTotalBaseCurrency": 620000.00,
"OpenTotalOwnCurrency": 620000.00,
"OpenWeightedBaseCurrency": 434000.00,
"OpenWeightedOwnCurrency": 434000.00,
"PreviousOverdue": 2,
"PreviousOverdueTotalBaseCurrency": 95000.00,
"PreviousOverdueTotalOwnCurrency": 95000.00,
"PreviousOverdueWeightedBaseCurrency": 66500.00,
"PreviousOverdueWeightedOwnCurrency": 66500.00,
"CurrentOverdue": 1,
"CurrentOverdueTotalBaseCurrency": 45000.00,
"CurrentOverdueTotalOwnCurrency": 45000.00,
"CurrentOverdueWeightedBaseCurrency": 36000.00,
"CurrentOverdueWeightedOwnCurrency": 36000.00,
"FutureOpen": 5,
"FutureOpenTotalBaseCurrency": 480000.00,
"FutureOpenTotalOwnCurrency": 480000.00,
"FutureOpenWeightedBaseCurrency": 331500.00,
"FutureOpenWeightedOwnCurrency": 331500.00,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 372
}
}
}